#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	libass
Version		:	0.17.3
Release		:	17.0.10.rel%{?dist}
Summary		:	portable subtitle renderer
Group		:	System/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL
URL		:	https://github.com/libass/libass

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	fontconfig-devel
BuildRequires	:	freetype-devel
BuildRequires	:	fribidi
BuildRequires	:	harfbuzz-devel
BuildRequires	:	nasm
#-----------------------------------------------------------------------------
%description
libass is a portable subtitle renderer for the ASS/SSA
(Advanced Substation Alpha/Substation Alpha) subtitle format.
It is mostly compatible with VSFilter.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc COPYING
%{_includedir}/ass/ass*.h
%{_libdir}/%{name}*.so*
%{_libdir}/pkgconfig/%{name}.pc

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)

./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}/%{name}		\
        --sysconfdir=%{_sysconfdir}/%{name}		\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--enable-shared					\
	--disable-static				\


%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%changelog
